Ticket #4393 (closed defect: fixed)

Opened 7 years ago

Last modified 7 years ago

携帯版で送信済みメッセージをゴミ箱から削除するとWarningが発生する

Reported by: imamura623 Assigned to: kiwa
Priority: major Milestone: OpenPNE2.14.4
Component: pne-ktai Version: 2.14.x
Keywords: Cc:

Description (Last modified by kiwa)

■概要

携帯版で送信済みメッセージをゴミ箱から削除(完全削除)するとWarningが発生する

■原因

携帯版で送信済みメッセージを完全削除する関数(db_message_delete_c_message_from_trash )を呼び出す際、メンバーIDの指定を行っていなかった。

■修正内容

db_message_delete_c_message_from_trash呼び出し時にメンバーIDを指定。メッセージ完全削除後にWarningを発生させないようにした。

■関連情報

http://sns.openpne.jp/?m=pc&a=page_c_topic_detail&target_c_commu_topic_id=5382 より転記

バージョン2.14.3です。

携帯で送信済メッセージをごみ箱から、削除する時に下記のようなエラーが出ます。

Warning: Missing argument 2 for db_message_delete_c_message_from_trash(), called in /home/xxxxx/xxxxxx/openpne/webapp/modules/ktai/do/h_message_delete_c_message.php on line 36 and defined in /home/xxxxx/xxxxxx/openpne/webapp/lib/db/message.php on line 517

Warning: Cannot modify header information - headers already sent by (output started at /home/xxxxx/xxxxxx/openpne/webapp/lib/db/message.php:517) in /home/xxxxx/xxxxxx/openpne/webapp/lib/util/util.php on line 34 

Change History

01/19/10 18:58:02 changed by imamura623

  • owner changed from nobody to kiwa.

01/20/10 17:48:28 changed by kiwa

  • keywords set to 確認中.
  • description changed.
  • summary changed from 送信済みメッセージをゴミ箱から削除するとWarningが発生する to 携帯版で送信済みメッセージをゴミ箱から削除するとWarningが発生する.

以下のリビジョンで修正しました。

01/22/10 16:30:54 changed by itoda

確認しました。
問題ありませんでした。

01/26/10 18:54:52 changed by fukamachi

  • keywords deleted.
  • status changed from new to closed.
  • resolution set to fixed.

確認しました。